/* $Id: direntx.h,v 1.2 2000/03/24 08:52:07 veit Exp $ */
/* this should be in <dirent.h> */

#if !defined (_SCANDIR_H)
#define _SCANDIR_H

#include <sys/types.h>
#include <dirent.h>

#if defined (__cplusplus)
extern "C" {
#endif

int _scandir(const char*,struct dirent***,int(*)(const struct dirent*), 
 int(*)(const struct dirent**,const struct dirent**));
int _alphasort(const struct dirent**,const struct dirent**);
int scandir(const char*,struct dirent***,int(*)(const struct dirent*), 
int(*)(const struct dirent**,const struct dirent**));
int alphasort(const struct dirent**,const struct dirent**);

#if defined (__cplusplus)
}
#endif

#ifdef _DEBUG
# include <sys/debugx.h>
#endif

#endif /* defined (_SCANDIR_H) */
